Get an incident's live escalation state
curl --request GET \
--url https://www.sentivel.com/api/v1/incidents/{id}/escalation \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.sentivel.com/api/v1/incidents/{id}/escalation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sentivel.com/api/v1/incidents/{id}/escalation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"acknowledgedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"escalating": true,
"elapsedMinutes": 123,
"policy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"repeatCount": 123,
"silent": true,
"runbook": "<string>"
},
"steps": [
{
"stepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"delayMinutes": 123,
"minImpact": "<string>",
"due": true,
"fired": true,
"firedAt": "2023-11-07T05:31:56Z",
"deliveries": [
{
"channel": "<string>",
"target": "<string>",
"status": "<string>",
"sentAt": "2023-11-07T05:31:56Z"
}
]
}
],
"note": "<string>"
}
}{
"error": {
"message": "<string>",
"details": {}
}
}Incidents
Get an incident's live escalation state
The policy in effect (the monitor’s own, else the workspace default), each ladder step, which steps have already paged (and via what delivery), and whether the incident has been acknowledged.
GET
/
incidents
/
{id}
/
escalation
Get an incident's live escalation state
⌘I